<?php

namespace dgsoft\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RegisterUserResponse StructType
 * @package Dg
 * @subpackage Structs
 */
class DgRegisterUserResponse extends AbstractStructBase
{
    /**
     * The GetUserRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \dgsoft\StructType\DgGetUserRS
     */
    public $GetUserRS;
    /**
     * Constructor method for RegisterUserResponse
     * @uses DgRegisterUserResponse::setGetUserRS()
     * @param \dgsoft\StructType\DgGetUserRS $getUserRS
     */
    public function __construct(\dgsoft\StructType\DgGetUserRS $getUserRS = null)
    {
        $this
            ->setGetUserRS($getUserRS);
    }
    /**
     * Get GetUserRS value
     * @return \dgsoft\StructType\DgGetUserRS|null
     */
    public function getGetUserRS()
    {
        return $this->GetUserRS;
    }
    /**
     * Set GetUserRS value
     * @param \dgsoft\StructType\DgGetUserRS $getUserRS
     * @return \dgsoft\StructType\DgRegisterUserResponse
     */
    public function setGetUserRS(\dgsoft\StructType\DgGetUserRS $getUserRS = null)
    {
        $this->GetUserRS = $getUserRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \dgsoft\StructType\DgRegisterUserResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
